List changed files
curl --request GET \
--url https://hub.oxen.ai/api/repos/{namespace}/{repo_name}/compare/{base_head}/dir/{dir}/entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://hub.oxen.ai/api/repos/{namespace}/{repo_name}/compare/{base_head}/dir/{dir}/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hub.oxen.ai/api/repos/{namespace}/{repo_name}/compare/{base_head}/dir/{dir}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"status_message": "<string>",
"page_number": 1,
"page_size": 1,
"total_entries": 1,
"total_pages": 1,
"compare": {
"base_commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"counts": {
"added": 1,
"modified": 1,
"removed": 1
},
"entries": [
{
"filename": "<string>",
"is_dir": true,
"size": 1,
"status": "<string>",
"base_entry": {
"extension": "<string>",
"filename": "<string>",
"hash": "<string>",
"is_dir": true,
"mime_type": "<string>",
"size": 1,
"children": "<array>",
"is_queryable": true,
"latest_commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"metadata": {
"dir": {
"data_types": [
{
"count": 1,
"data_type": "<string>"
}
]
}
},
"resource": {
"path": "<string>",
"resource": "<string>",
"version": "<string>",
"branch": {
"commit_id": "<string>",
"name": "<string>"
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"workspace": {
"base_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"id": "<string>",
"is_editable": true,
"workspace_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"name": "<string>"
}
}
},
"base_resource": {
"path": "<string>",
"resource": "<string>",
"version": "<string>",
"branch": {
"commit_id": "<string>",
"name": "<string>"
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"workspace": {
"base_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"id": "<string>",
"is_editable": true,
"workspace_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"name": "<string>"
}
},
"diff": {
"dir": {
"file_counts": {
"added": 1,
"modified": 1,
"removed": 1
}
}
},
"diff_summary": {
"dir": {
"file_counts": {
"added": 1,
"modified": 1,
"removed": 1
}
}
},
"head_entry": {
"extension": "<string>",
"filename": "<string>",
"hash": "<string>",
"is_dir": true,
"mime_type": "<string>",
"size": 1,
"children": "<array>",
"is_queryable": true,
"latest_commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"metadata": {
"dir": {
"data_types": [
{
"count": 1,
"data_type": "<string>"
}
]
}
},
"resource": {
"path": "<string>",
"resource": "<string>",
"version": "<string>",
"branch": {
"commit_id": "<string>",
"name": "<string>"
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"workspace": {
"base_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"id": "<string>",
"is_editable": true,
"workspace_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"name": "<string>"
}
}
},
"head_resource": {
"path": "<string>",
"resource": "<string>",
"version": "<string>",
"branch": {
"commit_id": "<string>",
"name": "<string>"
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"workspace": {
"base_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"id": "<string>",
"is_editable": true,
"workspace_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"name": "<string>"
}
}
}
],
"head_commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"self": {
"filename": "<string>",
"is_dir": true,
"size": 1,
"status": "<string>",
"base_entry": {
"extension": "<string>",
"filename": "<string>",
"hash": "<string>",
"is_dir": true,
"mime_type": "<string>",
"size": 1,
"children": "<array>",
"is_queryable": true,
"latest_commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"metadata": {
"dir": {
"data_types": [
{
"count": 1,
"data_type": "<string>"
}
]
}
},
"resource": {
"path": "<string>",
"resource": "<string>",
"version": "<string>",
"branch": {
"commit_id": "<string>",
"name": "<string>"
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"workspace": {
"base_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"id": "<string>",
"is_editable": true,
"workspace_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"name": "<string>"
}
}
},
"base_resource": {
"path": "<string>",
"resource": "<string>",
"version": "<string>",
"branch": {
"commit_id": "<string>",
"name": "<string>"
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"workspace": {
"base_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"id": "<string>",
"is_editable": true,
"workspace_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"name": "<string>"
}
},
"diff": {
"dir": {
"file_counts": {
"added": 1,
"modified": 1,
"removed": 1
}
}
},
"diff_summary": {
"dir": {
"file_counts": {
"added": 1,
"modified": 1,
"removed": 1
}
}
},
"head_entry": {
"extension": "<string>",
"filename": "<string>",
"hash": "<string>",
"is_dir": true,
"mime_type": "<string>",
"size": 1,
"children": "<array>",
"is_queryable": true,
"latest_commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"metadata": {
"dir": {
"data_types": [
{
"count": 1,
"data_type": "<string>"
}
]
}
},
"resource": {
"path": "<string>",
"resource": "<string>",
"version": "<string>",
"branch": {
"commit_id": "<string>",
"name": "<string>"
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"workspace": {
"base_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"id": "<string>",
"is_editable": true,
"workspace_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"name": "<string>"
}
}
},
"head_resource": {
"path": "<string>",
"resource": "<string>",
"version": "<string>",
"branch": {
"commit_id": "<string>",
"name": "<string>"
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"workspace": {
"base_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": [
"f1e2d3c4b5a67890fedcba9876543210"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"id": "<string>",
"is_editable": true,
"workspace_repo": {
"path": "<string>",
"remotes": [
{
"name": "<string>",
"url": "<string>"
}
],
"depth": 123,
"min_version": "<string>",
"remote_mode": true,
"remote_name": "<string>",
"subtree_paths": [
"<string>"
],
"vfs": true,
"vnode_size": 1,
"workspace_name": "<string>",
"workspaces": [
"<string>"
]
},
"name": "<string>"
}
}
}
},
"oxen_version": "<string>"
}Compare
List changed files
List the files and sub-directories within a directory that have changed within a provided commit range.
GET
/
api
/
repos
/
{namespace}
/
{repo_name}
/
compare
/
{base_head}
/
dir
/
{dir}
/
entries
List changed files
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Namespace of the repository
Name of the repository
The base and head revisions separated by '..'
The directory path to list entries for
Query Parameters
Page number for pagination (starts at 1)
Required range:
x >= 0Page size for pagination
Required range:
x >= 0Response
Entries found successfully
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Show child attributes
Show child attributes
⌘I